<?php

namespace App\Filament\Resources\UniPopUpResource\Pages;

use App\Filament\Resources\UniPopUpResource;
use Filament\Resources\Pages\CreateRecord;
use Filament\Notifications\Notification;

class CreateUniPopUp extends CreateRecord
{
    protected static string $resource = UniPopUpResource::class;

    protected function getRedirectUrl(): string
    {
        return $this->getResource()::getUrl('index');
    }

    protected function getCreatedNotification(): ?Notification
    {
        return Notification::make()
            ->success()
            ->title('Uni Pop Up created successfully')
            ->body('The uni pop up has been created successfully.');
    }
}
